Page MenuHomePhabricator

Relief maps show "API Key Required" on Wikivoyage
Closed, ResolvedPublic

Description

From: https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#.22API_Key_Required.22

"Any dynamic maps with the Relief Map layer have the caption "API Key Required" on them since yesterday. (see example below - please change the map layer to the Relief Map layer in order to see the caption)."

The Relief map layers from Thunderforest.com now require an API key to use their map tiles.

Background:
Thunderforest (opencyclemap) has recently changed their licensing policy that requires all users of their data to provide an API key.

The official information on how to gain an API key is here: http://www.thunderforest.com/blog/apikeys-now-available/
And how to implement is here: http://www.thunderforest.com/docs/apikeys/

We'll need to look into if Wikivoyage can obtain an API key that would work for all Wikvoyage sites, or if there are limiting license policies that we need to be aware of.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 7:07 PM
debt triaged this task as Unbreak Now! priority.Jul 18 2017, 7:19 PM
debt added projects: Discovery, Maps-Sprint.
debt updated the task description. (Show Details)
debt added subscribers: Pnorman, Gehel, Slaporte.
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJul 18 2017, 7:19 PM
debt added subscribers: MaxSem, debt.Jul 19 2017, 4:56 PM

I've setup an account with Thunderforest / OpenCycleMap and have obtained the API key to be used across all Wikivoyage sites. Our current usage is within the 'Hobby Project (free)' bucket, so at this time, there will be no charge for the usage of the data.

@MaxSem would you be able to help us implement the API key for the relief data layer?

Our current usage is within the 'Hobby Project (free)' bucket, so at this time, there will be no charge for the usage of the data.

What happens if our traffic exceeds their expectations?

Our current usage is within the 'Hobby Project (free)' bucket, so at this time, there will be no charge for the usage of the data.

What happens if our traffic exceeds their expectations?

They can throttle traffic, or we can to negotiate a different service level.

I understand that every publicly visible map will make the keys known, however are we fine with having that key visible here?

debt added a comment.Jul 19 2017, 7:54 PM

I understand that every publicly visible map will make the keys known, however are we fine with having that key visible here?

Yes, it's fine. More information from the Thunderforest site:

We use API Keys in addition to other information, such as IP addresses, HTTP Referer and User-Agent headers, to associate requests with your account. In some cases it is hard for developers to control the User-Agent headers sent by their mapping framework, and in others the Referer information is unreliable. By using API Keys we make life easier in these situations, and in future we’ll be able to provide real-time quota information to you.

Then I need the key =)

debt added a comment.Jul 19 2017, 9:08 PM

oh yeah, oops! ;)

https://{s}.tile.thunderforest.com/outdoors/{z}/{x}/{y}.png?apikey=ca8e8a8e3f9a44c19a8edcf8fb5f90c4

MaxSem closed this task as Resolved.Jul 20 2017, 1:07 AM
MaxSem claimed this task.

Done with this and similar edits to other Wikivoyages. Seems to work.

debt moved this task from Backlog to Done on the Maps-Sprint board.Jul 20 2017, 1:26 AM
debt reopened this task as Open.Jul 24 2017, 1:47 PM
debt moved this task from Done to Stalled/Waiting on the Maps-Sprint board.

Oops, it looks like the API key was only added to enwikivoyage. Let's get it added to all Wikivoyages.

mpopov added a subscriber: mpopov.Jul 24 2017, 11:38 PM
debt closed this task as Resolved.Jul 25 2017, 6:33 PM
debt moved this task from Stalled/Waiting to Done on the Maps-Sprint board.
debt added a subscriber: Andyrom75.

Based on an email that we received yesterday, we thought that maybe we had missed a step in implementing the API key throughout all Wikivoyages. That turned out not to be the case.

I've copied/pasted the email exchange from 24 July 2017 here:

from: Wiki Junkie
I am the user whom initially brought up this issue on the English Wikivoyage Travellers' pub. Unfortunately, so far it seems that the solution you have found was only implemented on the English Wikivoyage dynamic maps ( https://en.wikivoyage.org/w/index.php?title=MediaWiki:Kartographer.js&diff=prev&oldid=3241748 ) .
If possible, please help me fix this issue at the dynamic maps of the Hebrew Wikivoyage as well... this is especially important on the Hebvoy since many of our maps use the Relief Map layer.
I tried importing MediaWiki:Kartographer.js to Hebvoy but so far doing so didn't affect the dynamic maps with the Relief Map layer at all.
You can see an example for this issue in the dynamic map displayed on this article:
https://he.wikivoyage.org/w/index.php?title=%D7%93%D7%90%D7%91%D7%95%D7%A1

And, the response from @MaxSem:

Hey, looks like you're using a volunteer-maintained tool hosted on Toolforge. I can't fix it because I don't have access to it. It has been replaced with Kartographer extension on other Wikivoyages. Switching to Kartographer would give you WMF support. This can be done by modifying your wiki's [[Template:Mapframe]] similar to what was done on other wikis (example: https://en.wikivoyage.org/w/index.php?title=Template:Mapframe&action=edit). I can help your wiki with that if your community is OK with migration. Otherwise, if you would like to stick to your current solution, you need to contact its maintainers (Mey2008 and Andyrom75 I think) to get the API keys issue resolved.

Closing this ticket again.